TON DocsTON Docs
OnboardingNodesApplicationsAPIsContractsSmart contractsTolkTolk languageTVMTON Virtual MachineFoundationsBlockchain foundations

Get DNS auctions by bidder

GET
/api/v3/dns/activeAuctions

Returns DNS auctions where the address is the current leading bidder. Use bidding for open auctions and won for ended but unclaimed auctions. Claimed auctions are no longer returned. Ordering for bidding and all can change as auctions update. Use larger limits when paginating. Set include_nft_items to include NFT details. NFT and collection metadata is returned separately.

Authorization

X-API-Key<token>

API key header of the form X-API-Key: <token>, where <token> is the API key. Requests without a key are limited to 1 RPS. Refer to the authentication guide for details.

In: header

Query Parameters

bidder*string

Address of the current leading bidder.

state?string

Filter by auction state.

include_nft_items?boolean

Include NFT item details.

after?string

Opaque pagination cursor from next_cursor of the previous page. Returns rows strictly after it and is preferred over offset.

limit?integer

Limit the number of rows to return.

offset?integer

Rows to skip. Do not combine this parameter with after.

Response Body

application/json

application/json

curl -X GET "https://example.com/api/v3/dns/activeAuctions?bidder=string"
{
  "address_book": {
    "property1": {
      "domain": "string",
      "interfaces": [
        "string"
      ],
      "user_friendly": "string"
    },
    "property2": {
      "domain": "string",
      "interfaces": [
        "string"
      ],
      "user_friendly": "string"
    }
  },
  "auctions": [
    {
      "auction_end_time": "0",
      "domain": "string",
      "finished": true,
      "last_fill_up_time": "0",
      "max_bid_address": "string",
      "max_bid_amount": "string",
      "nft_item": {
        "address": "string",
        "auction_contract_address": "string",
        "code_hash": "string",
        "collection": {
          "address": "string",
          "code_hash": "string",
          "collection_content": {},
          "data_hash": "string",
          "last_transaction_lt": "0",
          "next_item_index": "string",
          "owner_address": "string"
        },
        "collection_address": "string",
        "content": {},
        "data_hash": "string",
        "index": "string",
        "init": true,
        "last_transaction_lt": "0",
        "on_sale": true,
        "owner_address": "string",
        "real_owner": "string",
        "sale_contract_address": "string"
      },
      "nft_item_address": "string"
    }
  ],
  "metadata": {
    "property1": {
      "is_indexed": true,
      "token_info": [
        {
          "description": "string",
          "extra": {},
          "image": "string",
          "is_nsfw": true,
          "is_scam": true,
          "name": "string",
          "nft_index": "string",
          "symbol": "string",
          "type": "string",
          "valid": true
        }
      ]
    },
    "property2": {
      "is_indexed": true,
      "token_info": [
        {
          "description": "string",
          "extra": {},
          "image": "string",
          "is_nsfw": true,
          "is_scam": true,
          "name": "string",
          "nft_index": "string",
          "symbol": "string",
          "type": "string",
          "valid": true
        }
      ]
    }
  },
  "next_cursor": "string"
}
{
  "code": 0,
  "error": "string"
}